name: Build and push Docker image

on:
  push:
    tags:
      - 'v*'

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      -
        name: Login to Docker Hub
        uses: docker/login-action@v3
        with:
          registry: code.edgarpierre.fr
          username: ${{ vars.DOCKER_PUSH_USERNAME }}
          password: ${{ secrets.DOCKER_PUSH_PASSWORD }}
      -
        name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v3
      -
        name: Build and push
        uses: docker/build-push-action@v6
        with:
          push: true
          tags: code.edgarpierre.fr/${{ github.repository }}:${{ github.ref_name }}
